import { Component, inject } from '@angular/core';
import { KeycloakService } from 'keycloak-angular';
import { RouterLink } from '@angular/router';

@Component({
  selector: 'app-landing',
  standalone: true,
  imports: [RouterLink],
  templateUrl: './landing.component.html',
})
export class LandingComponent {
  private keycloakService: KeycloakService = inject(KeycloakService);

  public isLoggedIn = this.keycloakService.isLoggedIn();

  public login() {
    const baseUrl = window.location.origin;

    this.keycloakService.login({ redirectUri: `${baseUrl}/home` });
  }
}
